

%% RESOURCES

resourcesFolder         = './resources/';
invSweepFileName        = '____________________.wav';
invSweepFile            = [resourcesFolder invSweepFileName];
spsFilterMatrixFileName = 'SPS_122_2017.wav';
spsFilterMatrixFile     = [resourcesFolder spsFilterMatrixFileName];
backgroundImageFileName = 'pano_giulia.jpg';
backgroundImageFile     = [resourcesFolder backgroundImageFileName];
backgroundVideoFileName = 'drone.MP4';
backgroundVideoFile     = [resourcesFolder backgroundVideoFileName];

%% INPUT FILES

% Write here the recorded file name with extension (sweep or noise)
recordedFileName                = 'EM_A1_take_1.wav';

% Write here the recorded reference signal file name with extension
recordedReferenceSignalFileName = '______________.wav';

% Folders
recordedSweepFolder             = './EigenmikeRecordedSweep/';
recordedNoiseFolder             = './EigenmikeRecordedNoise/';
recordedReferenceSignalFolder   = './ReferenceRecordedSignals/';

% Files
recordedSweepFile               = [recordedSweepFolder recordedFileName];
recordedNoiseFile               = [recordedNoiseFolder recordedFileName];
recordedReferenceSignalFile     = [recordedReferenceSignalFolder recordedReferenceSignalFileName];

%% OUTPUT FILES

outputFolder            = './AnalysisResults/';

mapsFolderNoise         = [ outputFolder 'acousticNoiseMaps/'];
mapsFolderIrs           = [ outputFolder 'acousticIrsMaps/'];

irsFolder               = [ outputFolder 'deconvolvedIrs/' ];
irsMatFileName          = [ irsFolder 'Irs_' recordedFileName(1:end-4) '.mat' ];
irsWavFileName          = [ irsFolder 'Irs_' recordedFileName(1:end-4) '.wav' ];

spsIrsFolder            = [ outputFolder 'spsIrs/' ];
spsIrsMatFileName       = [ spsIrsFolder 'Irs_' spsFilterMatrixFileName(1:end-4) '_' recordedFileName(1:end-4) '.mat' ];
spsIrsWavFileName       = [ spsIrsFolder 'Irs_' spsFilterMatrixFileName(1:end-4) '_' recordedFileName(1:end-4) '.wav' ];

spsNoiseFolder          = [ outputFolder 'spsNoise/' ];
spsNoiseMatFileName     = [ spsNoiseFolder 'Noise_' spsFilterMatrixFileName(1:end-4) '_' recordedFileName(1:end-4) '.mat' ];
spsNoiseWavFileName     = [ spsNoiseFolder 'Noise_' spsFilterMatrixFileName(1:end-4) '_' recordedFileName(1:end-4) '.wav' ];
