function GenerateOverlayBase = InitGenerateOverlay2(VMicDir,Order,width,height)

%Define pixel coords  
[ThetaGrid,PhiGrid] = meshgrid( linspace(-pi,+pi,width) , linspace(+pi/2,-pi/2,height));

%Compute VMics directivity pattern used as base for acoustic image reconstruction
VMic = size(VMicDir,1);
GenerateOverlayBase = zeros(VMic,height,width);
for v = 1:1:VMic
    [phi_t,theta_t] = sph_rotation(ThetaGrid, PhiGrid, VMicDir(v,1), VMicDir(v,2));    
    GenerateOverlayBase(v,:,:) = ( hod(0.5 + 0.5 * cos(theta_t) .* cos(phi_t) ,Order) ).^2;  %<- .^ the square is due to the energetical reconstruction requirements
end
GenerateOverlayBase = GenerateOverlayBase/max(max(sum(GenerateOverlayBase,1)));

end

  
   