% adjustLength.m This function adjust length of signal for video analysis

function [ spsFormat, referenceMic, numbersFrame, stepSize, EMrecorded ] = adjustLength( autoselectOverlap, fs, ...
    frameRate, bufferSize, spsFormat, overlap, referenceMic, EMrecorded )

% stepSize and number of frames
if autoselectOverlap
    
    stepSize        = floor( fs / frameRate );
    overlap         = ( 1 - stepSize / bufferSize ) * 100;
    fprintf( [ 'Overlap is: ', num2str( overlap ) '\n' ] )
    numbersFrame    = floor( ( length( spsFormat ) ) / stepSize );
    
else

    stepSize        = floor( bufferSize * ( 1 - overlap ) );                % calculate stepSize
    numbersFrame    = floor( length( spsFormat ) / stepSize );              % number of chunk to be analyzed

end

% update trimming
noiseEnd            = stepSize * numbersFrame;                              % update value  
spsFormat           = spsFormat( 1 : noiseEnd, : );

if numel( referenceMic ) ~= 1
    referenceMic    = referenceMic( 1 : noiseEnd, : );
end

if numel( EMrecorded ) ~= 1
    if noiseEnd < length( EMrecorded )
        EMrecorded  = EMrecorded( 1 : noiseEnd, : );
    else
        padMatrix   = zeros( noiseEnd - length( EMrecorded ), 32 );
        EMrecorded  = [ EMrecorded; padMatrix ];
    end
end
