% ambixConv.m This function generate Ambix format from 32ch recordings by
% EigenMike

function [ ambixAudio ] = ambixConv( EMrecorded, ambixIR )

    limitLength             = 250000;
    EMrecordedLength        = length( EMrecorded );
    
    if  EMrecordedLength   <= limitLength
        % Reshaping matrix to use convolve library function: matrix_conv
        EMrecordedMatrix    = reshape( EMrecorded', 1, 32, EMrecordedLength );   
        ambixAudio          = matrix_conv( EMrecordedMatrix, ambixIR );         % convolving with Ambix matrix
    else
        % Reshaping matrix to use convolve library function: oa_multichannel_conv
        EMrecordedMatrix    = reshape( EMrecorded', 32, EMrecordedLength, 1 );   
        ambixAudio          = oa_multichannel_conv( EMrecordedMatrix, ambixIR ); % convolving with Ambix matrix
    end

    ambixAudio              = squeeze( ambixAudio )';                       % delete exceeding matrix dimension
    peak                    = mean( squeeze( ambixIR( :, 1, : ) ) );
    [ ~, delay ]            = max( peak );
    ambixAudio              = [ ambixAudio( 1+delay : end, : ); zeros( delay, size( ambixIR, 2 ) ) ];
    ambixAudio              = ambixAudio( 1 : end - size( ambixIR, 3 ) +1, : );
    