% bandpassFreqFilt.m This function compute bandpass filtered spl from complex sum

function [ freqWindowing, idxLowBP, idxHighBP ] = bandpassFreqFilt( bandpassHighCutFreq, ...
         bandpassLowCutFreq, nfft, fs, virtualMicNumber )
                           
freqTot                 = linspace( 0, fs/2, nfft/2 + 1 ); 
tmp                     = abs( freqTot - bandpassLowCutFreq );
[ ~, idxLowBP ]         = min( tmp );                                       % index of closest value
tmp                     = abs( freqTot - bandpassHighCutFreq );
[ ~, idxHighBP ]        = min( tmp );

freqWindowing           = [ zeros( virtualMicNumber, idxLowBP ) ...
                          ones( virtualMicNumber, idxHighBP - idxLowBP + 1 ) ...
                          zeros( virtualMicNumber, ( nfft / 2 + 1 ) - idxHighBP - 1 ) ]';
