% checkTFnfft.m This function compute four different tranfer function and plot
% result

function [ nfft ] = checkTFnfft( referenceMic, audioSignal )
     
fprintf( '\nEvaluating nfft value for transfer function\n' );
audioSignal = mean( audioSignal, 2 );
maxExp      = nextpow2( length( referenceMic ) ) - 2;
if maxExp > 18
    maxExp = 18;
end
minExp      = maxExp - 8;
if minExp < 10
    minExp = 10;
end
exp         = minExp:1:maxExp;

figure( 'NumberTitle', 'off', 'Name', 'Define nfft value for Transfer Function' );
    
for i = 1 : length( exp )
    
    nfft                    = 2^( exp( i ) );

    transferFunction        = tfestimate( referenceMic(:,1), audioSignal, hann( nfft ), nfft/4, nfft );  
    transferFunction        = [ 0; transferFunction( 2 : end - 1,: ); ...
                                0; flipud( conj( transferFunction( 2 : end - 1, : ) ) ) ];
    
    tfIR                    = fftshift( ifft( transferFunction ) );
    subplot( 3, 3, i )
    plot( tfIR )
    title( num2str( nfft ) )
    xlim( [ 0 nfft ] )
end

prompt                      = 'Type nfft value: ';
nfft                        = input( prompt );

close all
