% checkTfNvalue.m This function compute four different tranfer function and plot
% result

function [ N, tfDelay ] = checkTfNvalue( nfft, referenceMic, ambixAudio )

fprintf( 'Evaluating transfer function averaging window\n' );
ambixChannel            = size( ambixAudio, 2 );
maxValue                = 2^( nextpow2( length( referenceMic ) - ( length( referenceMic ) / 4 ) ) -1 );
lim                     = log2 ( maxValue / nfft );
if lim < 4
    counter = lim;
else
    counter = 4;
end
figure

for i = 1 : counter
    
    N = ( 2^(i-1) ) * 2*nfft;
    refMicChunk         = referenceMic( length( referenceMic ) / 4 : length( referenceMic ) / 4 + N, : );
    ambixAudioChunk     = ambixAudio( length( ambixAudio ) / 4 : length( ambixAudio ) / 4 + N, : );
    
    tic
    transferFunction    = tfestimate( refMicChunk(:,1), ambixAudioChunk, hann( nfft ), nfft/2, nfft );  
    transferFunction    = [ zeros(1,ambixChannel); transferFunction( 2 : end - 1,: ); ...
                            zeros(1,ambixChannel); flipud( conj( transferFunction( 2 : end - 1, : ) ) ) ];
    toc

    tfIR                = fftshift( ifft( transferFunction ) );

    subplot( 2, 2, i )
    plot( tfIR )
    title( num2str( 2^(i-1)* 2*nfft ) )
    xlim( [ 0 nfft ] )

end

prompt                  = 'N value of chunk: ';
N                       = input( prompt );

%% TF delay
refMicChunk             = referenceMic( length( referenceMic ) / 4 : length( referenceMic ) / 4 + N, : );
ambixAudioChunk         = ambixAudio( length( ambixAudio ) / 4 : length( ambixAudio ) / 4 + N, : );

transferFunction        = tfestimate( refMicChunk, ambixAudioChunk, hann( nfft ), nfft/2, nfft );  
transferFunction        = [ zeros(1,ambixChannel); transferFunction( 2 : end - 1,: ); ...
                            zeros(1,ambixChannel); flipud( conj( transferFunction( 2 : end - 1, : ) ) ) ];

tfIR                    = fftshift( ifft( transferFunction ) );
[ ~, tfDelay ]          = max( tfIR( :, 1 ) );
    
close all
