% computeSPLlowpassfilt.m This function compute lowpass filtered spl from complex sum

function [ splLowPassFilt ] = computeSPLlowpassfilt( complexSum, fullScaleLevel, freqTot, lowPassCutFreq, spsMean, ...
                              fs, nfft, overlap, plotSignalEnable, limitFreq, coherenceEnable, refMicNumber )
                                
tmp                         = abs( freqTot - lowPassCutFreq );
[~, idxLP]                  = min( tmp );                                   % index of closest value

if coherenceEnable
    
    for i = 1 : refMicNumber
        complexSumTmp       = complexSum( : ,:, i );
        rmsLowPassFilt( i, : ) = ( sqrt( sum( complexSumTmp( :, 1:idxLP ), 2 ) ) / sqrt( 2 ) )';
    end
    
else
    
    rmsLowPassFilt          = ( sqrt( sum( complexSum( :, 1:idxLP ), 2 ) ) / sqrt( 2 ) )';
    
end

splLowPassFilt              = fullScaleLevel + 20 * log10( rmsLowPassFilt );  % convert rms to SPL

if plotSignalEnable
        
    figure    
    [ amplitudeFrfdB, freq ] = fftPinardi( spsMean, fs, nfft, overlap );
    semilogx( freq, amplitudeFrfdB )
    hold on
    line( [ lowPassCutFreq lowPassCutFreq ], limitFreq, 'Color', 'red' );
    title( 'Low pass' )
    xlim( [ 20 20000 ] )
    ylim( limitFreq )
    hold off
    
end
