% computeSPLunfiltered.m This function compute total unfiltered spl from complex sum

function [ splTotal, limitFreq ] = computeSPLunfiltered( complexSum, fullScaleLevel, spsMean, fs, nfft, overlap, ...
         plotSignalEnable, coherenceEnable, refMicNumber )
                                
if coherenceEnable
    
    for i = 1 : refMicNumber
        rmsTotal( i, : )    = ( sum( complexSum( : ,:, i ), 2 )' ) ./ 2;
    end
    
else
    
    rmsTotal                = ( sum( complexSum, 2 )' ) ./ 2;
    
end

splTotal                    = fullScaleLevel + 10 * log10( rmsTotal );

[ amplitudeFrfdB, freq ]    = fftPinardi( spsMean, fs, nfft, overlap );
k = round( 20 / ( fs / nfft ) );
j = round( 20000 / ( fs / nfft ) );
limitFreq = [ min( amplitudeFrfdB( k:j ) ) max( amplitudeFrfdB( k:j ) ) ];

if plotSignalEnable

    figure    
    semilogx( freq, amplitudeFrfdB )
    title( 'Unfiltered SPL' )
    xlim( [ 20 20000 ] )
    ylim( limitFreq )

end
