% fftPinardi.m This function perform fft calculation

function [ amplitudeFrfdB, freq ] = fftPinardi( signal, fs, nfft, overlap )

    fftStep             = round( nfft * ( 1 - overlap ) );
    stepNumber          = round( length( signal ) / fftStep );
    signal              = [ signal ; zeros( nfft, 1 ) ]; 
    
    win                 = hann( nfft );
    amplitudeNormFactor = ( mean( win ) ) ^-1;

    freq                = linspace( 0, fs/2, nfft/2+1 ); 
    frf                 = zeros( nfft, stepNumber );
        
    for i = 1 : stepNumber
        chunkFft        = signal( ( i - 1 ) * fftStep + 1 : ( i - 1 ) * fftStep + nfft );
        chunkFftWin     = chunkFft .* win;
        frf( :, i )     = ( fft( chunkFftWin, nfft ) ) / nfft;        
    end
    
    amplitudeFrf        = 2 * ( frf( 1 : nfft/2 + 1, : ) ) * amplitudeNormFactor;
    amplitudeFrfdB      = 20 * log10( mean( abs( amplitudeFrf ), 2 ) );

end
