% noiseTrim.m This function perform NOISE trimming

function [ spsFormat, referenceMic, EMrecorded ] = noiseTrim( spsFormat, referenceMic, EMrecorded )

spsMean         = mean( spsFormat, 2 );                                 % for plot                                          
plot( spsMean )
hold on
prompt          = 'Starting sample of recording ( 1 or greater ): ';
noiseStart      = input( prompt );
line( [ noiseStart noiseStart ], [ min( spsMean ) max( spsMean ) ], 'Color', 'red' );
prompt          = 'Ending sample of recording: ';
noiseEnd        = input( prompt );
line( [ noiseEnd noiseEnd ], [ min( spsMean ) max( spsMean ) ], 'Color', 'red' );

spsFormat        = spsFormat( noiseStart : noiseEnd, : );                   % do trimming

% Perform trimming on reference
if numel( referenceMic ) ~= 1
    referenceMic = referenceMic( noiseStart : noiseEnd, : );
end

% Perform trimming on EM recording
if numel( EMrecorded ) ~= 1
    EMrecorded  = EMrecorded( noiseStart : noiseEnd, : );
end

close all
